org.apache.ignite.internal.processors.configuration.distributed

## Class DistributedComparableProperty<T extends Comparable<T> & Serializable>

- java.lang.Object
- - org.apache.ignite.internal.processors.configuration.distributed.SimpleDistributedProperty<T>
  - - org.apache.ignite.internal.processors.configuration.distributed.DistributedComparableProperty<T>

All Implemented Interfaces:
  DistributedChangeableProperty<T>, DistributedProperty<T>

Direct Known Subclasses:
  DistributedDoubleProperty, DistributedIntegerProperty, DistributedLongProperty

    public class DistributedComparableProperty<T extends Comparable<T> & Serializable>
    extends SimpleDistributedProperty<T>

Implementation of `DistributedProperty` for `Comparable`.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.configuration.distributed.SimpleDistributedProperty

`val`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equalTo(T other)`
`boolean` `greaterOrEqualTo(T other)`
`boolean` `greaterThan(T other)`
`boolean` `lessOrEqualTo(T other)`
`boolean` `lessThan(T other)`
`boolean` `nonEqualTo(T other)`

### Methods inherited from class org.apache.ignite.internal.processors.configuration.distributed.SimpleDistributedProperty

`addListener, get, getName, getOrDefault, localUpdate, onAttached, onReadyForUpdate, parse, parseNonNegativeInteger, parseNonNegativeLong, parseStringSet, propagate, propagateAsync, propagateAsync, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### equalTo

    public boolean equalTo(T other)

#### nonEqualTo

    public boolean nonEqualTo(T other)

#### lessThan

    public boolean lessThan(T other)

#### lessOrEqualTo

    public boolean lessOrEqualTo(T other)

#### greaterThan

    public boolean greaterThan(T other)

#### greaterOrEqualTo

    public boolean greaterOrEqualTo(T other)

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022